com.interactivemesh.jfx.importer

## Class FilePath

- java.lang.Object
- - com.interactivemesh.jfx.importer.FilePath

-     public final class FilePath
      extends java.lang.Object

  A FilePath object represents the paths of a resource file associated with the imported 3D model file.
  See Also:
    `ModelImporter.getImageFilePaths()`, `ColModelImporter.getColladaFilePaths()`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FilePath(java.lang.String importedPath, java.net.URL absolutePath)` A FilePath object represents the paths of a referenced file by the string as read from the imported 3D model file and by the corresponding absolute Uniform Resource Locator (URL) object.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.net.URL` | `getAbsolutePath()` Gets the absolute path of a referenced file as a Uniform Resource Locator (URL) object.
    `java.lang.String` | `getImportedPath()` Gets the path string of a referenced file as read from the imported 3D model file.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FilePath

          public FilePath(java.lang.String importedPath,
                          java.net.URL absolutePath)

      A FilePath object represents the paths of a referenced file by the string as read from the imported 3D model file and by the corresponding absolute Uniform Resource Locator (URL) object.
      Parameters:
        `importedPath` - the imported file path
        `absolutePath` - the absolute file path

  - ### Method Detail

    - #### getImportedPath

          public java.lang.String getImportedPath()

      Gets the path string of a referenced file as read from the imported 3D model file. This is typically a relative path with each name separated from the next by the separator character '/'.
      Returns:
        the imported file path

    - #### getAbsolutePath

          public java.net.URL getAbsolutePath()

      Gets the absolute path of a referenced file as a Uniform Resource Locator (URL) object.
      Returns:
        the absolute file path

Copyright (C) 2013-2014 InteractiveMesh e.K.